%define anolis_release 20

Name:           perl-WWW-RobotRules
Version:        6.02
Release:        %{anolis_release}%{?dist}
Summary:        Database of robots.txt-derived permissions
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            https://metacpan.org/release/WWW-RobotRules
Source0:        https://cpan.metacpan.org/authors/id/G/GA/GAAS/WWW-RobotRules-%{version}.tar.gz
Source1:        test.sh

BuildRequires:  make coreutils
BuildRequires:  perl-interpreter perl-generators
BuildRequires:  perl(strict)
BuildRequires:  perl(:VERSION) >= 5.8.1
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76

BuildRequires:  perl(vars) perl(Carp) perl(Fcntl)
BuildRequires:  perl(AnyDBM_File)
BuildRequires:  perl(URI) >= 1.10

Requires:       perl(URI) >= 1.10

Conflicts:      perl-libwww-perl < 6

%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\(URI\\)$
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}perl\\(WWW::RobotRules::InCore\\)

BuildArch:      noarch

%description
This module parses /robots.txt files as specified in "A Standard for
Robot Exclusion", at <http://www.robotstxt.org/wc/norobots.html>
Webmasters can use the /robots.txt file to forbid conforming robots from
accessing parts of their web site.

The parsed files are kept in a WWW::RobotRules object, and this object
provides methods to check if access to a given URL is prohibited. The
same WWW::RobotRules object can be used for one or more parsed
/robots.txt files on any number of hosts.

%package tests
Summary:        Tests for %{name}
Requires:       coreutils
Requires:       perl-Test-Harness
Requires:       %{name} = %{EVR}

%description tests
Tests from %{name}. Execute them with "%{_libexecdir}/%{name}/test".

%package        doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n WWW-RobotRules-%{version}
for F in t/*.t; do
    perl -i -MConfig -ple 'print $Config{startperl} if $. == 1 && !s{\A#!\s*perl}{$Config{startperl}}' "$F"
    chmod +x "$F"
done

%build
perl Makefile.PL NO_PERLLOCAL=1 NO_PACKLIST=1 INSTALLDIRS=vendor
%make_build

%install
%make_install
%{_fixperms} $RPM_BUILD_ROOT/*

mkdir -p %{buildroot}%{_libexecdir}/%{name}/t
install -m 0755 -p t/rules-dbm.t %{buildroot}%{_libexecdir}/%{name}/t/rules-dbm.t
install -m 0755 -p t/rules.t %{buildroot}%{_libexecdir}/%{name}/t/rules.t
install -m 0755 -p %{SOURCE1} %{buildroot}%{_libexecdir}/%{name}/test

%check
make test

%files
%{perl_vendorlib}/*
%{_mandir}/man3/*

%files tests
%{_libexecdir}/%{name}/test
%{_libexecdir}/%{name}/t/rules.t
%{_libexecdir}/%{name}/t/rules-dbm.t

%files doc
%doc README Changes

%changelog
* Fri Apr 14 2023 Guyu Wang <guyu.wgy@linux.alibaba.com> - 6.02-20
- Optimise spec file

* Thu Feb 02 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 6.02-19
- init from upstream
